package emu.grasscutter.net.packet;

import java.util.HashSet;

public class PacketOpcodes {
    // Empty
    public static final int NONE = 0;

    // Opcodes
    public static final int AbilityChangeNotify = 1155;
    public static final int AbilityInvocationFailNotify = 1132;
    public static final int AbilityInvocationFixedNotify = 1109;
    public static final int AbilityInvocationsNotify = 1131;
    public static final int AcceptCityReputationRequestReq = 2835;
    public static final int AcceptCityReputationRequestRsp = 2849;
    public static final int AchievementAllDataNotify = 2668;
    public static final int AchievementUpdateNotify = 2659;
    public static final int ActivityCoinInfoNotify = 2094;
    public static final int ActivityCondStateChangeNotify = 2120;
    public static final int ActivityDisableTransferPointInteractionNotify = 8686;
    public static final int ActivityInfoNotify = 2125;
    public static final int ActivityPlayOpenAnimNotify = 2146;
    public static final int ActivitySaleChangeNotify = 2109;
    public static final int ActivityScheduleInfoNotify = 2033;
    public static final int ActivitySelectAvatarCardReq = 2030;
    public static final int ActivitySelectAvatarCardRsp = 2127;
    public static final int ActivityTakeAllScoreRewardReq = 8424;
    public static final int ActivityTakeAllScoreRewardRsp = 8692;
    public static final int ActivityTakeScoreRewardReq = 8321;
    public static final int ActivityTakeScoreRewardRsp = 8218;
    public static final int ActivityTakeWatcherRewardBatchReq = 2079;
    public static final int ActivityTakeWatcherRewardBatchRsp = 2150;
    public static final int ActivityTakeWatcherRewardReq = 2090;
    public static final int ActivityTakeWatcherRewardRsp = 2025;
    public static final int ActivityUpdateWatcherNotify = 2172;
    public static final int AddBlacklistReq = 4050;
    public static final int AddBlacklistRsp = 4020;
    public static final int AddFriendNotify = 4024;
    public static final int AddNoGachaAvatarCardNotify = 1648;
    public static final int AddQuestContentProgressReq = 417;
    public static final int AddQuestContentProgressRsp = 485;
    public static final int AddRandTaskInfoNotify = 116;
    public static final int AddSeenMonsterNotify = 251;
    public static final int AdjustWorldLevelReq = 195;
    public static final int AdjustWorldLevelRsp = 115;
    public static final int AllCoopInfoNotify = 1968;
    public static final int AllMarkPointNotify = 3195;
    public static final int AllSeenMonsterNotify = 226;
    public static final int AllWidgetDataNotify = 4273;
    public static final int AnchorPointDataNotify = 4268;
    public static final int AnchorPointOpReq = 4254;
    public static final int AnchorPointOpRsp = 4278;
    public static final int AnimatorForceSetAirMoveNotify = 346;
    public static final int AntiAddictNotify = 148;
    public static final int ArenaChallengeFinishNotify = 2082;
    public static final int AskAddFriendNotify = 4038;
    public static final int AskAddFriendReq = 4032;
    public static final int AskAddFriendRsp = 4017;
    public static final int AsterLargeInfoNotify = 2192;
    public static final int AsterLittleInfoNotify = 2188;
    public static final int AsterMidCampInfoNotify = 2020;
    public static final int AsterMidInfoNotify = 2121;
    public static final int AsterMiscInfoNotify = 2187;
    public static final int AsterProgressInfoNotify = 2193;
    public static final int AvatarAddNotify = 1757;
    public static final int AvatarBuffAddNotify = 350;
    public static final int AvatarBuffDelNotify = 320;
    public static final int AvatarCardChangeReq = 650;
    public static final int AvatarCardChangeRsp = 620;
    public static final int AvatarChangeAnimHashReq = 1798;
    public static final int AvatarChangeAnimHashRsp = 1622;
    public static final int AvatarChangeCostumeNotify = 1780;
    public static final int AvatarChangeCostumeReq = 1734;
    public static final int AvatarChangeCostumeRsp = 1723;
    public static final int AvatarChangeElementTypeReq = 1706;
    public static final int AvatarChangeElementTypeRsp = 1708;
    public static final int AvatarDataNotify = 1695;
    public static final int AvatarDelNotify = 1608;
    public static final int AvatarDieAnimationEndReq = 1616;
    public static final int AvatarDieAnimationEndRsp = 1765;
    public static final int AvatarEnterElementViewNotify = 311;
    public static final int AvatarEquipAffixStartNotify = 1609;
    public static final int AvatarEquipChangeNotify = 690;
    public static final int AvatarExpeditionAllDataReq = 1659;
    public static final int AvatarExpeditionAllDataRsp = 1636;
    public static final int AvatarExpeditionCallBackReq = 1655;
    public static final int AvatarExpeditionCallBackRsp = 1642;
    public static final int AvatarExpeditionDataNotify = 1698;
    public static final int AvatarExpeditionGetRewardReq = 1603;
    public static final int AvatarExpeditionGetRewardRsp = 1646;
    public static final int AvatarExpeditionStartReq = 1675;
    public static final int AvatarExpeditionStartRsp = 1688;
    public static final int AvatarFetterDataNotify = 1777;
    public static final int AvatarFetterLevelRewardReq = 1704;
    public static final int AvatarFetterLevelRewardRsp = 1606;
    public static final int AvatarFightPropNotify = 1232;
    public static final int AvatarFightPropUpdateNotify = 1217;
    public static final int AvatarFlycloakChangeNotify = 1681;
    public static final int AvatarFollowRouteNotify = 3353;
    public static final int AvatarGainCostumeNotify = 1670;
    public static final int AvatarGainFlycloakNotify = 1615;
    public static final int AvatarLifeStateChangeNotify = 1235;
    public static final int AvatarPromoteGetRewardReq = 1676;
    public static final int AvatarPromoteGetRewardRsp = 1613;
    public static final int AvatarPromoteReq = 1711;
    public static final int AvatarPromoteRsp = 1668;
    public static final int AvatarPropChangeReasonNotify = 1249;
    public static final int AvatarPropNotify = 1255;
    public static final int AvatarSatiationDataNotify = 1632;
    public static final int AvatarSkillChangeNotify = 1030;
    public static final int AvatarSkillDepotChangeNotify = 1037;
    public static final int AvatarSkillInfoNotify = 1035;
    public static final int AvatarSkillMaxChargeCountNotify = 1085;
    public static final int AvatarSkillUpgradeReq = 1027;
    public static final int AvatarSkillUpgradeRsp = 1007;
    public static final int AvatarTeamUpdateNotify = 1713;
    public static final int AvatarUnlockTalentNotify = 1041;
    public static final int AvatarUpgradeReq = 1680;
    public static final int AvatarUpgradeRsp = 1779;
    public static final int AvatarWearFlycloakReq = 1728;
    public static final int AvatarWearFlycloakRsp = 1770;
    public static final int BackMyWorldReq = 221;
    public static final int BackMyWorldRsp = 223;
    public static final int BargainOfferPriceReq = 419;
    public static final int BargainOfferPriceRsp = 412;
    public static final int BargainStartNotify = 406;
    public static final int BargainTerminateNotify = 458;
    public static final int BattlePassAllDataNotify = 2618;
    public static final int BattlePassBuySuccNotify = 2614;
    public static final int BattlePassCurScheduleUpdateNotify = 2604;
    public static final int BattlePassMissionDelNotify = 2643;
    public static final int BattlePassMissionUpdateNotify = 2609;
    public static final int BeginCameraSceneLookNotify = 203;
    public static final int BigTalentPointConvertReq = 1032;
    public static final int BigTalentPointConvertRsp = 1017;
    public static final int BlessingAcceptAllGivePicReq = 2123;
    public static final int BlessingAcceptAllGivePicRsp = 2180;
    public static final int BlessingAcceptGivePicReq = 2006;
    public static final int BlessingAcceptGivePicRsp = 2048;
    public static final int BlessingGetAllRecvPicRecordListReq = 2076;
    public static final int BlessingGetAllRecvPicRecordListRsp = 2013;
    public static final int BlessingGetFriendPicListReq = 2081;
    public static final int BlessingGetFriendPicListRsp = 2015;
    public static final int BlessingGiveFriendPicReq = 2009;
    public static final int BlessingGiveFriendPicRsp = 2104;
    public static final int BlessingRecvFriendPicNotify = 2134;
    public static final int BlessingRedeemRewardReq = 2128;
    public static final int BlessingRedeemRewardRsp = 2170;
    public static final int BlessingScanReq = 2012;
    public static final int BlessingScanRsp = 2032;
    public static final int BlitzRushParkourRestartReq = 8355;
    public static final int BlitzRushParkourRestartRsp = 8943;
    public static final int BlossomBriefInfoNotify = 2741;
    public static final int BlossomChestCreateNotify = 2717;
    public static final int BlossomChestInfoNotify = 835;
    public static final int BonusActivityInfoReq = 2507;
    public static final int BonusActivityInfoRsp = 2530;
    public static final int BonusActivityUpdateNotify = 2527;
    public static final int BossChestActivateNotify = 885;
    public static final int BounceConjuringSettleNotify = 8313;
    public static final int BuoyantCombatSettleNotify = 8347;
    public static final int BuyBattlePassLevelReq = 2612;
    public static final int BuyBattlePassLevelRsp = 2646;
    public static final int BuyGoodsReq = 741;
    public static final int BuyGoodsRsp = 737;
    public static final int BuyResinReq = 602;
    public static final int BuyResinRsp = 616;
    public static final int CalcWeaponUpgradeReturnItemsReq = 610;
    public static final int CalcWeaponUpgradeReturnItemsRsp = 666;
    public static final int CancelCityReputationRequestReq = 2882;
    public static final int CancelCityReputationRequestRsp = 2855;
    public static final int CancelCoopTaskReq = 1962;
    public static final int CancelCoopTaskRsp = 1996;
    public static final int CancelFinishParentQuestNotify = 459;
    public static final int CanUseSkillNotify = 1098;
    public static final int CardProductRewardNotify = 4104;
    public static final int ChallengeDataNotify = 963;
    public static final int ChallengeRecordNotify = 919;
    public static final int ChangeAvatarReq = 1662;
    public static final int ChangeAvatarRsp = 1710;
    public static final int ChangeGameTimeReq = 149;
    public static final int ChangeGameTimeRsp = 182;
    public static final int ChangeMailStarNotify = 1407;
    public static final int ChangeMpTeamAvatarReq = 1689;
    public static final int ChangeMpTeamAvatarRsp = 1617;
    public static final int ChangeServerGlobalValueNotify = 12;
    public static final int ChangeTeamNameReq = 1762;
    public static final int ChangeTeamNameRsp = 1789;
    public static final int ChangeWorldToSingleModeNotify = 3260;
    public static final int ChangeWorldToSingleModeReq = 3140;
    public static final int ChangeWorldToSingleModeRsp = 3083;
    public static final int ChannelerSlabStageActiveChallengeIndexNotify = 8864;
    public static final int ChannelerSlabStageOneoffDungeonNotify = 8522;
    public static final int ChannellerSlabCheckEnterLoopDungeonReq = 8304;
    public static final int ChannellerSlabCheckEnterLoopDungeonRsp = 8928;
    public static final int ChannellerSlabEnterLoopDungeonReq = 8687;
    public static final int ChannellerSlabEnterLoopDungeonRsp = 8639;
    public static final int ChannellerSlabLoopDungeonChallengeInfoNotify = 8555;
    public static final int ChannellerSlabLoopDungeonSelectConditionReq = 8383;
    public static final int ChannellerSlabLoopDungeonSelectConditionRsp = 8979;
    public static final int ChannellerSlabLoopDungeonTakeFirstPassRewardReq = 8910;
    public static final int ChannellerSlabLoopDungeonTakeFirstPassRewardRsp = 8482;
    public static final int ChannellerSlabLoopDungeonTakeScoreRewardReq = 8305;
    public static final int ChannellerSlabLoopDungeonTakeScoreRewardRsp = 8552;
    public static final int ChannellerSlabOneOffDungeonInfoNotify = 8008;
    public static final int ChannellerSlabOneOffDungeonInfoReq = 8295;
    public static final int ChannellerSlabOneOffDungeonInfoRsp = 8716;
    public static final int ChannellerSlabSaveAssistInfoReq = 8860;
    public static final int ChannellerSlabSaveAssistInfoRsp = 8320;
    public static final int ChannellerSlabTakeoffBuffReq = 8577;
    public static final int ChannellerSlabTakeoffBuffRsp = 8689;
    public static final int ChannellerSlabWearBuffReq = 8132;
    public static final int ChannellerSlabWearBuffRsp = 8315;
    public static final int ChapterStateNotify = 498;
    public static final int ChatChannelDataNotify = 4957;
    public static final int ChatChannelUpdateNotify = 4977;
    public static final int ChatHistoryNotify = 3213;
    public static final int CheckAddItemExceedLimitNotify = 653;
    public static final int CheckSegmentCRCNotify = 86;
    public static final int CheckSegmentCRCReq = 63;
    public static final int ChessEscapedMonstersNotify = 5374;
    public static final int ChessLeftMonstersNotify = 5391;
    public static final int ChessManualRefreshCardsReq = 5373;
    public static final int ChessManualRefreshCardsRsp = 5361;
    public static final int ChessPickCardNotify = 5348;
    public static final int ChessPickCardReq = 5310;
    public static final int ChessPickCardRsp = 5366;
    public static final int ChessPlayerInfoNotify = 5388;
    public static final int ChessSelectedCardsNotify = 5353;
    public static final int ChooseCurAvatarTeamReq = 1800;
    public static final int ChooseCurAvatarTeamRsp = 1673;
    public static final int CityReputationDataNotify = 2898;
    public static final int CityReputationLevelupNotify = 2832;
    public static final int ClearRoguelikeCurseNotify = 8291;
    public static final int ClientAbilitiesInitFinishCombineNotify = 1185;
    public static final int ClientAbilityChangeNotify = 1127;
    public static final int ClientAbilityInitBeginNotify = 1141;
    public static final int ClientAbilityInitFinishNotify = 1137;
    public static final int ClientAIStateNotify = 1197;
    public static final int ClientBulletCreateNotify = 6;
    public static final int ClientCollectorDataNotify = 4264;
    public static final int ClientHashDebugNotify = 3192;
    public static final int ClientLoadingCostumeVerificationNotify = 3488;
    public static final int ClientLockGameTimeNotify = 174;
    public static final int ClientNewMailNotify = 1482;
    public static final int ClientPauseNotify = 291;
    public static final int ClientReconnectNotify = 27;
    public static final int ClientReportNotify = 97;
    public static final int ClientScriptEventNotify = 214;
    public static final int ClientTransmitReq = 272;
    public static final int ClientTransmitRsp = 259;
    public static final int ClientTriggerEventNotify = 107;
    public static final int CloseCommonTipsNotify = 3496;
    public static final int ClosedItemNotify = 674;
    public static final int CodexDataFullNotify = 4201;
    public static final int CodexDataUpdateNotify = 4210;
    public static final int CombatInvocationsNotify = 316;
    public static final int CombineDataNotify = 661;
    public static final int CombineFormulaDataNotify = 688;
    public static final int CombineReq = 654;
    public static final int CombineRsp = 646;
    public static final int CommonPlayerTipsNotify = 8490;
    public static final int CompoundDataNotify = 136;
    public static final int CompoundUnlockNotify = 181;
    public static final int CookDataNotify = 142;
    public static final int CookGradeDataNotify = 111;
    public static final int CookRecipeDataNotify = 101;
    public static final int CoopCgShowNotify = 1989;
    public static final int CoopCgUpdateNotify = 1966;
    public static final int CoopChapterUpdateNotify = 1997;
    public static final int CoopDataNotify = 1976;
    public static final int CoopPointUpdateNotify = 1987;
    public static final int CoopProgressUpdateNotify = 1961;
    public static final int CoopRewardUpdateNotify = 1951;
    public static final int CreateMassiveEntityNotify = 325;
    public static final int CreateMassiveEntityReq = 370;
    public static final int CreateMassiveEntityRsp = 329;
    public static final int CreateVehicleReq = 819;
    public static final int CreateVehicleRsp = 812;
    public static final int CutSceneBeginNotify = 300;
    public static final int CutSceneEndNotify = 299;
    public static final int CutSceneFinishNotify = 294;
    public static final int DailyTaskDataNotify = 183;
    public static final int DailyTaskFilterCityReq = 192;
    public static final int DailyTaskFilterCityRsp = 118;
    public static final int DailyTaskProgressNotify = 103;
    public static final int DailyTaskScoreRewardNotify = 134;
    public static final int DailyTaskUnlockedCitiesNotify = 121;
    public static final int DataResVersionNotify = 125;
    public static final int DealAddFriendReq = 4085;
    public static final int DealAddFriendRsp = 4035;
    public static final int DebugNotify = 101;
    public static final int DeleteFriendNotify = 4063;
    public static final int DeleteFriendReq = 4055;
    public static final int DeleteFriendRsp = 4027;
    public static final int DelMailReq = 1417;
    public static final int DelMailRsp = 1485;
    public static final int DelScenePlayTeamEntityNotify = 3087;
    public static final int DelTeamEntityNotify = 302;
    public static final int DestroyMassiveEntityNotify = 383;
    public static final int DestroyMaterialReq = 678;
    public static final int DestroyMaterialRsp = 608;
    public static final int DigActivityChangeGadgetStateReq = 8155;
    public static final int DigActivityChangeGadgetStateRsp = 8851;
    public static final int DigActivityMarkPointChangeNotify = 8679;
    public static final int DisableRoguelikeTrapNotify = 8250;
    public static final int DoGachaReq = 1541;
    public static final int DoGachaRsp = 1537;
    public static final int DoRoguelikeDungeonCardGachaReq = 8764;
    public static final int DoRoguelikeDungeonCardGachaRsp = 8641;
    public static final int DoSetPlayerBornDataNotify = 190;
    public static final int DraftGuestReplyInviteNotify = 5435;
    public static final int DraftGuestReplyInviteReq = 5417;
    public static final int DraftGuestReplyInviteRsp = 5485;
    public static final int DraftGuestReplyTwiceConfirmNotify = 5430;
    public static final int DraftGuestReplyTwiceConfirmReq = 5455;
    public static final int DraftGuestReplyTwiceConfirmRsp = 5427;
    public static final int DraftInviteResultNotify = 5449;
    public static final int DraftOwnerInviteNotify = 5432;
    public static final int DraftOwnerStartInviteReq = 5441;
    public static final int DraftOwnerStartInviteRsp = 5437;
    public static final int DraftOwnerTwiceConfirmNotify = 5482;
    public static final int DraftTwiceConfirmResultNotify = 5407;
    public static final int DragonSpineChapterFinishNotify = 2135;
    public static final int DragonSpineChapterOpenNotify = 2119;
    public static final int DragonSpineChapterProgressChangeNotify = 2102;
    public static final int DragonSpineCoinChangeNotify = 2031;
    public static final int DropHintNotify = 622;
    public static final int DropItemReq = 682;
    public static final int DropItemRsp = 655;
    public static final int DungeonCandidateTeamChangeAvatarReq = 984;
    public static final int DungeonCandidateTeamChangeAvatarRsp = 970;
    public static final int DungeonCandidateTeamCreateReq = 942;
    public static final int DungeonCandidateTeamCreateRsp = 901;
    public static final int DungeonCandidateTeamDismissNotify = 913;
    public static final int DungeonCandidateTeamInfoNotify = 912;
    public static final int DungeonCandidateTeamInviteNotify = 958;
    public static final int DungeonCandidateTeamInviteReq = 911;
    public static final int DungeonCandidateTeamInviteRsp = 922;
    public static final int DungeonCandidateTeamKickReq = 954;
    public static final int DungeonCandidateTeamKickRsp = 946;
    public static final int DungeonCandidateTeamLeaveReq = 933;
    public static final int DungeonCandidateTeamLeaveRsp = 936;
    public static final int DungeonCandidateTeamPlayerLeaveNotify = 920;
    public static final int DungeonCandidateTeamRefuseNotify = 950;
    public static final int DungeonCandidateTeamReplyInviteReq = 928;
    public static final int DungeonCandidateTeamReplyInviteRsp = 976;
    public static final int DungeonCandidateTeamSetChangingAvatarReq = 908;
    public static final int DungeonCandidateTeamSetChangingAvatarRsp = 904;
    public static final int DungeonCandidateTeamSetReadyReq = 972;
    public static final int DungeonCandidateTeamSetReadyRsp = 959;
    public static final int DungeonChallengeBeginNotify = 990;
    public static final int DungeonChallengeFinishNotify = 986;
    public static final int DungeonDataNotify = 945;
    public static final int DungeonDieOptionReq = 927;
    public static final int DungeonDieOptionRsp = 907;
    public static final int DungeonEntryInfoReq = 909;
    public static final int DungeonEntryInfoRsp = 931;
    public static final int DungeonEntryToBeExploreNotify = 3414;
    public static final int DungeonFollowNotify = 924;
    public static final int DungeonGetStatueDropReq = 938;
    public static final int DungeonGetStatueDropRsp = 906;
    public static final int DungeonInterruptChallengeReq = 934;
    public static final int DungeonInterruptChallengeRsp = 902;
    public static final int DungeonPlayerDieNotify = 955;
    public static final int DungeonPlayerDieReq = 997;
    public static final int DungeonPlayerDieRsp = 998;
    public static final int DungeonRestartInviteNotify = 977;
    public static final int DungeonRestartInviteReplyNotify = 989;
    public static final int DungeonRestartInviteReplyReq = 943;
    public static final int DungeonRestartInviteReplyRsp = 987;
    public static final int DungeonRestartReq = 993;
    public static final int DungeonRestartResultNotify = 978;
    public static final int DungeonRestartRsp = 960;
    public static final int DungeonReviseLevelNotify = 905;
    public static final int DungeonSettleNotify = 982;
    public static final int DungeonShowReminderNotify = 930;
    public static final int DungeonSlipRevivePointActivateReq = 983;
    public static final int DungeonSlipRevivePointActivateRsp = 903;
    public static final int DungeonWayPointActivateReq = 935;
    public static final int DungeonWayPointActivateRsp = 949;
    public static final int DungeonWayPointNotify = 985;
    public static final int EchoNotify = 38;
    public static final int EchoShellTakeRewardReq = 8074;
    public static final int EchoShellTakeRewardRsp = 8446;
    public static final int EchoShellUpdateNotify = 8077;
    public static final int EffigyChallengeInfoNotify = 2153;
    public static final int EffigyChallengeResultNotify = 2064;
    public static final int EndCameraSceneLookNotify = 234;
    public static final int EnterChessDungeonReq = 8571;
    public static final int EnterChessDungeonRsp = 8819;
    public static final int EnterFishingReq = 5818;
    public static final int EnterFishingRsp = 5809;
    public static final int EnterMechanicusDungeonReq = 3955;
    public static final int EnterMechanicusDungeonRsp = 3927;
    public static final int EnterRoguelikeDungeonNotify = 8646;
    public static final int EnterSceneDoneReq = 279;
    public static final int EnterSceneDoneRsp = 269;
    public static final int EnterScenePeerNotify = 257;
    public static final int EnterSceneReadyReq = 244;
    public static final int EnterSceneReadyRsp = 252;
    public static final int EnterSceneWeatherAreaNotify = 284;
    public static final int EnterTransPointRegionNotify = 298;
    public static final int EnterTrialAvatarActivityDungeonReq = 2057;
    public static final int EnterTrialAvatarActivityDungeonRsp = 2021;
    public static final int EnterWorldAreaReq = 222;
    public static final int EnterWorldAreaRsp = 254;
    public static final int EntityAiKillSelfNotify = 378;
    public static final int EntityAiSyncNotify = 343;
    public static final int EntityAuthorityChangeNotify = 358;
    public static final int EntityConfigHashNotify = 3271;
    public static final int EntityFightPropChangeReasonNotify = 1285;
    public static final int EntityFightPropNotify = 1241;
    public static final int EntityFightPropUpdateNotify = 1237;
    public static final int EntityForceSyncReq = 246;
    public static final int EntityForceSyncRsp = 233;
    public static final int EntityJumpNotify = 224;
    public static final int EntityMoveRoomNotify = 3209;
    public static final int EntityPropNotify = 1209;
    public static final int EntityTagChangeNotify = 3273;
    public static final int EquipRoguelikeRuneReq = 8510;
    public static final int EquipRoguelikeRuneRsp = 8516;
    public static final int EvtAiSyncCombatThreatInfoNotify = 360;
    public static final int EvtAiSyncSkillCdNotify = 333;
    public static final int EvtAnimatorParameterNotify = 331;
    public static final int EvtAnimatorStateChangedNotify = 355;
    public static final int EvtAvatarEnterFocusNotify = 306;
    public static final int EvtAvatarExitFocusNotify = 319;
    public static final int EvtAvatarLockChairReq = 308;
    public static final int EvtAvatarLockChairRsp = 304;
    public static final int EvtAvatarSitDownNotify = 359;
    public static final int EvtAvatarStandUpNotify = 384;
    public static final int EvtAvatarUpdateFocusNotify = 312;
    public static final int EvtBeingHitNotify = 309;
    public static final int EvtBeingHitsCombineNotify = 336;
    public static final int EvtBulletDeactiveNotify = 330;
    public static final int EvtBulletHitNotify = 307;
    public static final int EvtBulletMoveNotify = 338;
    public static final int EvtCostStaminaNotify = 349;
    public static final int EvtCreateGadgetNotify = 332;
    public static final int EvtDestroyGadgetNotify = 317;
    public static final int EvtDestroyServerGadgetNotify = 389;
    public static final int EvtDoSkillSuccNotify = 337;
    public static final int EvtEntityRenderersChangedNotify = 354;
    public static final int EvtEntityStartDieEndNotify = 397;
    public static final int EvtFaceToDirNotify = 335;
    public static final int EvtFaceToEntityNotify = 385;
    public static final int EvtRushMoveNotify = 327;
    public static final int EvtSetAttackTargetNotify = 382;
    public static final int ExclusiveRuleNotify = 123;
    public static final int ExecuteGadgetLuaReq = 267;
    public static final int ExecuteGadgetLuaRsp = 271;
    public static final int ExecuteGroupTriggerReq = 277;
    public static final int ExecuteGroupTriggerRsp = 243;
    public static final int ExitFishingReq = 5814;
    public static final int ExitFishingRsp = 5812;
    public static final int ExitSceneWeatherAreaNotify = 270;
    public static final int ExitTransPointRegionNotify = 245;
    public static final int ExpeditionChallengeEnterRegionNotify = 2050;
    public static final int ExpeditionChallengeFinishedNotify = 2034;
    public static final int ExpeditionRecallReq = 2122;
    public static final int ExpeditionRecallRsp = 2156;
    public static final int ExpeditionStartReq = 2026;
    public static final int ExpeditionStartRsp = 2163;
    public static final int ExpeditionTakeRewardReq = 2173;
    public static final int ExpeditionTakeRewardRsp = 2196;
    public static final int FindHilichurlAcceptQuestNotify = 8465;
    public static final int FindHilichurlFinishSecondQuestNotify = 8981;
    public static final int FinishDeliveryNotify = 2158;
    public static final int FinishedParentQuestNotify = 437;
    public static final int FinishedParentQuestUpdateNotify = 432;
    public static final int FinishMainCoopReq = 1978;
    public static final int FinishMainCoopRsp = 1953;
    public static final int FishAttractNotify = 5846;
    public static final int FishBaitGoneNotify = 5827;
    public static final int FishBattleBeginReq = 5802;
    public static final int FishBattleBeginRsp = 5813;
    public static final int FishBattleEndReq = 5837;
    public static final int FishBattleEndRsp = 5832;
    public static final int FishBiteReq = 5816;
    public static final int FishBiteRsp = 5801;
    public static final int FishCastRodReq = 5828;
    public static final int FishCastRodRsp = 5803;
    public static final int FishChosenNotify = 5826;
    public static final int FishEscapeNotify = 5847;
    public static final int FishingGallerySettleNotify = 8896;
    public static final int FishPoolDataNotify = 5811;
    public static final int FleurFairBalloonSettleNotify = 2139;
    public static final int FleurFairBuffEnergyNotify = 5359;
    public static final int FleurFairFallSettleNotify = 2097;
    public static final int FleurFairFinishGalleryStageNotify = 5370;
    public static final int FleurFairMusicGameSettleReq = 2115;
    public static final int FleurFairMusicGameSettleRsp = 2124;
    public static final int FleurFairMusicGameStartReq = 2171;
    public static final int FleurFairMusicGameStartRsp = 2149;
    public static final int FleurFairReplayMiniGameReq = 2152;
    public static final int FleurFairReplayMiniGameRsp = 2101;
    public static final int FleurFairStageSettleNotify = 5384;
    public static final int FlightActivityRestartReq = 2164;
    public static final int FlightActivityRestartRsp = 2002;
    public static final int FlightActivitySettleNotify = 2084;
    public static final int FocusAvatarReq = 1652;
    public static final int FocusAvatarRsp = 1612;
    public static final int ForceAddPlayerFriendReq = 4077;
    public static final int ForceAddPlayerFriendRsp = 4043;
    public static final int ForceDragAvatarNotify = 3425;
    public static final int ForceDragBackTransferNotify = 3088;
    public static final int ForgeDataNotify = 648;
    public static final int ForgeFormulaDataNotify = 673;
    public static final int ForgeGetQueueDataReq = 636;
    public static final int ForgeGetQueueDataRsp = 628;
    public static final int ForgeQueueDataNotify = 633;
    public static final int ForgeQueueManipulateReq = 659;
    public static final int ForgeQueueManipulateRsp = 684;
    public static final int ForgeStartReq = 676;
    public static final int ForgeStartRsp = 672;
    public static final int FoundationNotify = 890;
    public static final int FoundationReq = 898;
    public static final int FoundationRsp = 845;
    public static final int FriendInfoChangeNotify = 4088;
    public static final int FunitureMakeMakeInfoChangeNotify = 4488;
    public static final int FurnitureCurModuleArrangeCountNotify = 4681;
    public static final int FurnitureMakeBeHelpedNotify = 4626;
    public static final int FurnitureMakeCancelReq = 4834;
    public static final int FurnitureMakeCancelRsp = 4660;
    public static final int FurnitureMakeFinishNotify = 4557;
    public static final int FurnitureMakeHelpReq = 4580;
    public static final int FurnitureMakeHelpRsp = 4722;
    public static final int FurnitureMakeReq = 4551;
    public static final int FurnitureMakeRsp = 4530;
    public static final int FurnitureMakeStartReq = 4582;
    public static final int FurnitureMakeStartRsp = 4463;
    public static final int GachaOpenWishNotify = 1585;
    public static final int GachaSimpleInfoNotify = 1535;
    public static final int GachaWishReq = 1532;
    public static final int GachaWishRsp = 1517;
    public static final int GadgetAutoPickDropInfoNotify = 830;
    public static final int GadgetChainLevelChangeNotify = 824;
    public static final int GadgetChainLevelUpdateNotify = 863;
    public static final int GadgetCustomTreeInfoNotify = 822;
    public static final int GadgetGeneralRewardInfoNotify = 807;
    public static final int GadgetInteractReq = 809;
    public static final int GadgetInteractRsp = 831;
    public static final int GadgetPlayDataNotify = 855;
    public static final int GadgetPlayStartNotify = 849;
    public static final int GadgetPlayStopNotify = 882;
    public static final int GadgetPlayUidOpNotify = 827;
    public static final int GadgetStateNotify = 841;
    public static final int GadgetTalkChangeNotify = 886;
    public static final int GalleryBalloonScoreNotify = 5541;
    public static final int GalleryBalloonShootNotify = 5531;
    public static final int GalleryBounceConjuringHitNotify = 5598;
    public static final int GalleryBrokenFloorFallNotify = 5527;
    public static final int GalleryBulletHitNotify = 5555;
    public static final int GalleryFallCatchNotify = 5532;
    public static final int GalleryFallScoreNotify = 5517;
    public static final int GalleryFlowerCatchNotify = 5549;
    public static final int GalleryPreStartNotify = 5582;
    public static final int GalleryStartNotify = 5509;
    public static final int GalleryStopNotify = 5537;
    public static final int GallerySumoKillMonsterNotify = 5545;
    public static final int GetActivityInfoReq = 2067;
    public static final int GetActivityInfoRsp = 2144;
    public static final int GetActivityScheduleReq = 2049;
    public static final int GetActivityScheduleRsp = 2044;
    public static final int GetActivityShopSheetInfoReq = 785;
    public static final int GetActivityShopSheetInfoRsp = 735;
    public static final int GetAllActivatedBargainDataReq = 413;
    public static final int GetAllActivatedBargainDataRsp = 442;
    public static final int GetAllH5ActivityInfoReq = 5659;
    public static final int GetAllH5ActivityInfoRsp = 5668;
    public static final int GetAllMailReq = 1455;
    public static final int GetAllMailRsp = 1427;
    public static final int GetAllSceneGalleryInfoReq = 5585;
    public static final int GetAllSceneGalleryInfoRsp = 5535;
    public static final int GetAllUnlockNameCardReq = 4012;
    public static final int GetAllUnlockNameCardRsp = 4058;
    public static final int GetAreaExplorePointReq = 228;
    public static final int GetAreaExplorePointRsp = 276;
    public static final int GetAuthkeyReq = 1435;
    public static final int GetAuthkeyRsp = 1449;
    public static final int GetAuthSalesmanInfoReq = 2161;
    public static final int GetAuthSalesmanInfoRsp = 2039;
    public static final int GetBargainDataReq = 450;
    public static final int GetBargainDataRsp = 420;
    public static final int GetBattlePassProductReq = 2616;
    public static final int GetBattlePassProductRsp = 2601;
    public static final int GetBlossomBriefInfoListReq = 2709;
    public static final int GetBlossomBriefInfoListRsp = 2731;
    public static final int GetBonusActivityRewardReq = 2597;
    public static final int GetBonusActivityRewardRsp = 2598;
    public static final int GetChatEmojiCollectionReq = 4005;
    public static final int GetChatEmojiCollectionRsp = 4010;
    public static final int GetCityHuntingOfferReq = 4343;
    public static final int GetCityHuntingOfferRsp = 4304;
    public static final int GetCityReputationInfoReq = 2809;
    public static final int GetCityReputationInfoRsp = 2831;
    public static final int GetCityReputationMapInfoReq = 2827;
    public static final int GetCityReputationMapInfoRsp = 2807;
    public static final int GetCompoundDataReq = 128;
    public static final int GetCompoundDataRsp = 176;
    public static final int GetDailyDungeonEntryInfoReq = 929;
    public static final int GetDailyDungeonEntryInfoRsp = 925;
    public static final int GetDungeonEntryExploreConditionReq = 3136;
    public static final int GetDungeonEntryExploreConditionRsp = 3099;
    public static final int GetExpeditionAssistInfoListReq = 2181;
    public static final int GetExpeditionAssistInfoListRsp = 2045;
    public static final int GetFriendShowAvatarInfoReq = 4003;
    public static final int GetFriendShowAvatarInfoRsp = 4034;
    public static final int GetFriendShowNameCardInfoReq = 4093;
    public static final int GetFriendShowNameCardInfoRsp = 4060;
    public static final int GetFurnitureCurModuleArrangeCountReq = 4603;
    public static final int GetGachaInfoReq = 1509;
    public static final int GetGachaInfoRsp = 1531;
    public static final int GetHomeLevelUpRewardReq = 4747;
    public static final int GetHomeLevelUpRewardRsp = 4517;
    public static final int GetHuntingOfferRewardReq = 4328;
    public static final int GetHuntingOfferRewardRsp = 4303;
    public static final int GetInvestigationMonsterReq = 1902;
    public static final int GetInvestigationMonsterRsp = 1911;
    public static final int GetMailItemReq = 1437;
    public static final int GetMailItemRsp = 1432;
    public static final int GetMapAreaReq = 3466;
    public static final int GetMapAreaRsp = 3012;
    public static final int GetMapMarkTipsReq = 3329;
    public static final int GetMapMarkTipsRsp = 3118;
    public static final int GetMechanicusInfoReq = 3909;
    public static final int GetMechanicusInfoRsp = 3931;
    public static final int GetNextResourceInfoReq = 153;
    public static final int GetNextResourceInfoRsp = 139;
    public static final int GetOnlinePlayerInfoReq = 45;
    public static final int GetOnlinePlayerInfoRsp = 90;
    public static final int GetOnlinePlayerListReq = 35;
    public static final int GetOnlinePlayerListRsp = 49;
    public static final int GetOpActivityInfoReq = 5109;
    public static final int GetOpActivityInfoRsp = 5131;
    public static final int GetPlayerAskFriendListReq = 4008;
    public static final int GetPlayerAskFriendListRsp = 4004;
    public static final int GetPlayerBlacklistReq = 4076;
    public static final int GetPlayerBlacklistRsp = 4072;
    public static final int GetPlayerFriendListReq = 4009;
    public static final int GetPlayerFriendListRsp = 4031;
    public static final int GetPlayerHomeCompInfoReq = 4845;
    public static final int GetPlayerMpModeAvailabilityReq = 1816;
    public static final int GetPlayerMpModeAvailabilityRsp = 1801;
    public static final int GetPlayerSocialDetailReq = 4049;
    public static final int GetPlayerSocialDetailRsp = 4082;
    public static final int GetPlayerTokenReq = 109;
    public static final int GetPlayerTokenRsp = 131;
    public static final int GetPushTipsRewardReq = 2212;
    public static final int GetPushTipsRewardRsp = 2258;
    public static final int GetQuestTalkHistoryReq = 435;
    public static final int GetQuestTalkHistoryRsp = 449;
    public static final int GetRecentMpPlayerListReq = 4011;
    public static final int GetRecentMpPlayerListRsp = 4022;
    public static final int GetRegionSearchReq = 5628;
    public static final int GetReunionMissionInfoReq = 5066;
    public static final int GetReunionMissionInfoRsp = 5051;
    public static final int GetReunionPrivilegeInfoReq = 5062;
    public static final int GetReunionPrivilegeInfoRsp = 5096;
    public static final int GetReunionSignInInfoReq = 5078;
    public static final int GetReunionSignInInfoRsp = 5053;
    public static final int GetSceneAreaReq = 238;
    public static final int GetSceneAreaRsp = 206;
    public static final int GetSceneNpcPositionReq = 537;
    public static final int GetSceneNpcPositionRsp = 532;
    public static final int GetScenePerformanceReq = 3340;
    public static final int GetScenePerformanceRsp = 3447;
    public static final int GetScenePointReq = 230;
    public static final int GetScenePointRsp = 297;
    public static final int GetShopmallDataReq = 732;
    public static final int GetShopmallDataRsp = 717;
    public static final int GetShopReq = 709;
    public static final int GetShopRsp = 731;
    public static final int GetSignInRewardReq = 2532;
    public static final int GetSignInRewardRsp = 2517;
    public static final int GetWidgetSlotReq = 4267;
    public static final int GetWidgetSlotRsp = 4300;
    public static final int GetWorldMpInfoReq = 3264;
    public static final int GetWorldMpInfoRsp = 3179;
    public static final int GiveUpRoguelikeDungeonCardReq = 8977;
    public static final int GiveUpRoguelikeDungeonCardRsp = 8583;
    public static final int GivingRecordChangeNotify = 189;
    public static final int GivingRecordNotify = 187;
    public static final int GMShowNavMeshReq = 2377;
    public static final int GMShowNavMeshRsp = 2343;
    public static final int GMShowObstacleReq = 2393;
    public static final int GMShowObstacleRsp = 2360;
    public static final int GmTalkNotify = 58;
    public static final int GmTalkReq = 31;
    public static final int GmTalkRsp = 41;
    public static final int GrantRewardNotify = 613;
    public static final int GroupLinkAllNotify = 5768;
    public static final int GroupLinkChangeNotify = 5759;
    public static final int GroupLinkDeleteNotify = 5793;
    public static final int GroupSuiteNotify = 3476;
    public static final int GroupUnloadNotify = 3416;
    public static final int GuestBeginEnterSceneNotify = 3125;
    public static final int GuestPostEnterSceneNotify = 3379;
    public static final int H5ActivityIdsNotify = 5693;
    public static final int HideAndSeekPlayerReadyNotify = 5302;
    public static final int HideAndSeekPlayerSetAvatarNotify = 5316;
    public static final int HideAndSeekSelectAvatarReq = 5329;
    public static final int HideAndSeekSelectAvatarRsp = 5325;
    public static final int HideAndSeekSelectSkillReq = 8307;
    public static final int HideAndSeekSelectSkillRsp = 8227;
    public static final int HideAndSeekSetReadyReq = 5383;
    public static final int HideAndSeekSetReadyRsp = 5303;
    public static final int HideAndSeekSettleNotify = 5334;
    public static final int HitClientTrivialNotify = 218;
    public static final int HitTreeNotify = 3222;
    public static final int HomeAvatarAllFinishRewardNotify = 4648;
    public static final int HomeAvatarCostumeChangeNotify = 4685;
    public static final int HomeAvatarRewardEventGetReq = 4775;
    public static final int HomeAvatarRewardEventGetRsp = 4873;
    public static final int HomeAvatarRewardEventNotify = 4789;
    public static final int HomeAvatarSummonAllEventNotify = 4617;
    public static final int HomeAvatarSummonEventReq = 4615;
    public static final int HomeAvatarSummonEventRsp = 4498;
    public static final int HomeAvatarSummonFinishReq = 4748;
    public static final int HomeAvatarSummonFinishRsp = 4782;
    public static final int HomeAvatarTalkFinishInfoNotify = 4502;
    public static final int HomeAvatarTalkReq = 4712;
    public static final int HomeAvatarTalkRsp = 4700;
    public static final int HomeAvtarAllFinishRewardNotify = 4849;
    public static final int HomeBasicInfoNotify = 4872;
    public static final int HomeBlockNotify = 4542;
    public static final int HomeChangeEditModeReq = 4625;
    public static final int HomeChangeEditModeRsp = 4885;
    public static final int HomeChangeModuleReq = 4688;
    public static final int HomeChangeModuleRsp = 4821;
    public static final int HomeChooseModuleReq = 4479;
    public static final int HomeChooseModuleRsp = 4745;
    public static final int HomeComfortInfoNotify = 4649;
    public static final int HomeCustomFurnitureInfoNotify = 4482;
    public static final int HomeEditCustomFurnitureReq = 4516;
    public static final int HomeEditCustomFurnitureRsp = 4871;
    public static final int HomeFishFarmingInfoNotify = 4682;
    public static final int HomeGetArrangementInfoReq = 4848;
    public static final int HomeGetArrangementInfoRsp = 4456;
    public static final int HomeGetBasicInfoReq = 4535;
    public static final int HomeGetFishFarmingInfoReq = 4455;
    public static final int HomeGetFishFarmingInfoRsp = 4889;
    public static final int HomeGetOnlineStatusReq = 4796;
    public static final int HomeGetOnlineStatusRsp = 4554;
    public static final int HomeKickPlayerReq = 4809;
    public static final int HomeKickPlayerRsp = 4752;
    public static final int HomeLimitedShopBuyGoodsReq = 4638;
    public static final int HomeLimitedShopBuyGoodsRsp = 4790;
    public static final int HomeLimitedShopGoodsListReq = 4579;
    public static final int HomeLimitedShopGoodsListRsp = 4846;
    public static final int HomeLimitedShopInfoChangeNotify = 4814;
    public static final int HomeLimitedShopInfoNotify = 4621;
    public static final int HomeLimitedShopInfoReq = 4616;
    public static final int HomeLimitedShopInfoRsp = 4585;
    public static final int HomeMarkPointNotify = 4746;
    public static final int HomeModuleSeenReq = 4546;
    public static final int HomeModuleSeenRsp = 4526;
    public static final int HomeModuleUnlockNotify = 4781;
    public static final int HomePlantFieldNotify = 4466;
    public static final int HomePlantInfoNotify = 4835;
    public static final int HomePlantInfoReq = 4833;
    public static final int HomePlantInfoRsp = 4859;
    public static final int HomePlantSeedReq = 4614;
    public static final int HomePlantSeedRsp = 4804;
    public static final int HomePlantWeedReq = 4877;
    public static final int HomePlantWeedRsp = 4575;
    public static final int HomePriorCheckNotify = 4690;
    public static final int HomeResourceNotify = 4806;
    public static final int HomeResourceTakeFetterExpReq = 4840;
    public static final int HomeResourceTakeFetterExpRsp = 4500;
    public static final int HomeResourceTakeHomeCoinReq = 4763;
    public static final int HomeResourceTakeHomeCoinRsp = 4658;
    public static final int HomeSceneInitFinishReq = 4552;
    public static final int HomeSceneInitFinishRsp = 4592;
    public static final int HomeSceneJumpReq = 4659;
    public static final int HomeSceneJumpRsp = 4570;
    public static final int HomeTransferReq = 4880;
    public static final int HomeTransferRsp = 4767;
    public static final int HomeUnknown1Notify = 4528;
    public static final int HomeUnknown2Req = 4857;
    public static final int HomeUnknown2Rsp = 4670;
    public static final int HomeUpdateArrangementInfoReq = 4472;
    public static final int HomeUpdateArrangementInfoRsp = 4822;
    public static final int HomeUpdateFishFarmingInfoReq = 4604;
    public static final int HomeUpdateFishFarmingInfoRsp = 4856;
    public static final int HostPlayerNotify = 341;
    public static final int HuntingFailNotify = 4302;
    public static final int HuntingGiveUpReq = 4337;
    public static final int HuntingGiveUpRsp = 4332;
    public static final int HuntingOngoingNotify = 4313;
    public static final int HuntingRevealClueNotify = 4347;
    public static final int HuntingRevealFinalNotify = 4316;
    public static final int HuntingStartNotify = 4326;
    public static final int HuntingSuccessNotify = 4301;
    public static final int InBattleMechanicusBuildingPointsNotify = 5385;
    public static final int InBattleMechanicusCardResultNotify = 5330;
    public static final int InBattleMechanicusConfirmCardNotify = 5307;
    public static final int InBattleMechanicusConfirmCardReq = 5355;
    public static final int InBattleMechanicusConfirmCardRsp = 5327;
    public static final int InBattleMechanicusExcapeMonsterNotify = 5332;
    public static final int InBattleMechanicusLeftMonsterNotify = 5317;
    public static final int InBattleMechanicusPickCardNotify = 5382;
    public static final int InBattleMechanicusPickCardReq = 5335;
    public static final int InBattleMechanicusPickCardRsp = 5349;
    public static final int InBattleMechanicusSettleNotify = 5398;
    public static final int InteractDailyDungeonInfoNotify = 916;
    public static final int InterruptGalleryReq = 5507;
    public static final int InterruptGalleryRsp = 5530;
    public static final int InvestigationMonsterUpdateNotify = 1922;
    public static final int ItemAddHintNotify = 632;
    public static final int ItemCdGroupTimeNotify = 611;
    public static final int ItemGivingReq = 178;
    public static final int ItemGivingRsp = 108;
    public static final int JoinHomeWorldFailNotify = 4863;
    public static final int JoinPlayerFailNotify = 268;
    public static final int JoinPlayerSceneReq = 253;
    public static final int JoinPlayerSceneRsp = 239;
    public static final int KeepAliveNotify = 9;
    public static final int LeaveSceneReq = 231;
    public static final int LeaveSceneRsp = 241;
    public static final int LeaveWorldNotify = 3420;
    public static final int LevelupCityReq = 287;
    public static final int LevelupCityRsp = 289;
    public static final int LifeStateChangeNotify = 1231;
    public static final int LiveEndNotify = 801;
    public static final int LiveStartNotify = 820;
    public static final int LoadActivityTerrainNotify = 2175;
    public static final int LuaEnvironmentEffectNotify = 3289;
    public static final int LuaSetOptionNotify = 387;
    public static final int LunaRiteAreaFinishNotify = 8107;
    public static final int LunaRiteGroupBundleRegisterNotify = 8327;
    public static final int LunaRiteHintPointRemoveNotify = 8420;
    public static final int LunaRiteHintPointReq = 8342;
    public static final int LunaRiteHintPointRsp = 8481;
    public static final int LunaRiteSacrificeReq = 8062;
    public static final int LunaRiteSacrificeRsp = 8401;
    public static final int LunaRiteTakeSacrificeRewardReq = 8669;
    public static final int LunaRiteTakeSacrificeRewardRsp = 8252;
    public static final int MailChangeNotify = 1431;
    public static final int MainCoopUpdateNotify = 1959;
    public static final int MapAreaChangeNotify = 3103;
    public static final int MarkEntityInMinMapNotify = 202;
    public static final int MarkMapReq = 3208;
    public static final int MarkMapRsp = 3421;
    public static final int MarkNewNotify = 1227;
    public static final int MarkTargetInvestigationMonsterNotify = 1928;
    public static final int MassiveEntityElementOpBatchNotify = 377;
    public static final int MassiveEntityStateChangedNotify = 303;
    public static final int MaterialDeleteReturnNotify = 693;
    public static final int MaterialDeleteUpdateNotify = 643;
    public static final int McoinExchangeHcoinReq = 687;
    public static final int McoinExchangeHcoinRsp = 689;
    public static final int MechanicusCandidateTeamCreateReq = 3997;
    public static final int MechanicusCandidateTeamCreateRsp = 3998;
    public static final int MechanicusCloseNotify = 3917;
    public static final int MechanicusCoinNotify = 3937;
    public static final int MechanicusLevelupGearReq = 3949;
    public static final int MechanicusLevelupGearRsp = 3982;
    public static final int MechanicusOpenNotify = 3932;
    public static final int MechanicusSequenceOpenNotify = 3941;
    public static final int MechanicusUnlockGearReq = 3985;
    public static final int MechanicusUnlockGearRsp = 3935;
    public static final int MeetNpcReq = 585;
    public static final int MeetNpcRsp = 535;
    public static final int MetNpcIdListNotify = 517;
    public static final int MiracleRingDataNotify = 5243;
    public static final int MiracleRingDeliverItemReq = 5226;
    public static final int MiracleRingDeliverItemRsp = 5247;
    public static final int MiracleRingDestroyNotify = 5216;
    public static final int MiracleRingDropResultNotify = 5203;
    public static final int MiracleRingTakeRewardReq = 5204;
    public static final int MiracleRingTakeRewardRsp = 5228;
    public static final int MistTrialDunegonFailNotify = 8580;
    public static final int MistTrialGetChallengeMissionReq = 8668;
    public static final int MistTrialGetChallengeMissionRsp = 8385;
    public static final int MistTrialSelectAvatarAndEnterDungeonReq = 8318;
    public static final int MistTrialSelectAvatarAndEnterDungeonRsp = 8403;
    public static final int MonsterAIConfigHashNotify = 3121;
    public static final int MonsterAlertChangeNotify = 313;
    public static final int MonsterForceAlertNotify = 342;
    public static final int MonsterPointArrayRouteUpdateNotify = 3138;
    public static final int MonsterSummonTagNotify = 1309;
    public static final int MpBlockNotify = 1808;
    public static final int MpPlayGuestReplyInviteReq = 1811;
    public static final int MpPlayGuestReplyInviteRsp = 1841;
    public static final int MpPlayGuestReplyNotify = 1805;
    public static final int MpPlayInviteResultNotify = 1806;
    public static final int MpPlayOwnerCheckReq = 1814;
    public static final int MpPlayOwnerCheckRsp = 1812;
    public static final int MpPlayOwnerInviteNotify = 1815;
    public static final int MpPlayOwnerStartInviteReq = 1846;
    public static final int MpPlayOwnerStartInviteRsp = 1827;
    public static final int MpPlayPrepareInterruptNotify = 1848;
    public static final int MpPlayPrepareNotify = 1839;
    public static final int MultistagePlayEndNotify = 5375;
    public static final int MultistagePlayFinishStageReq = 5331;
    public static final int MultistagePlayFinishStageRsp = 5397;
    public static final int MultistagePlayInfoNotify = 5309;
    public static final int MultistagePlaySettleNotify = 5314;
    public static final int MultistagePlayStageEndNotify = 5340;
    public static final int MusicGameSettleReq = 8745;
    public static final int MusicGameSettleRsp = 8288;
    public static final int MusicGameStartReq = 8927;
    public static final int MusicGameStartRsp = 8101;
    public static final int NavMeshStatsNotify = 2387;
    public static final int NormalUidOpNotify = 5718;
    public static final int NpcTalkReq = 509;
    public static final int NpcTalkRsp = 531;
    public static final int ObstacleModifyNotify = 2341;
    public static final int OfferingInteractReq = 2908;
    public static final int OfferingInteractRsp = 2923;
    public static final int OneoffGatherPointDetectorDataNotify = 4262;
    public static final int OpActivityDataNotify = 5141;
    public static final int OpActivityStateNotify = 2509;
    public static final int OpActivityUpdateNotify = 5137;
    public static final int OpenBlossomCircleCampGuideNotify = 2785;
    public static final int OpenStateChangeNotify = 112;
    public static final int OpenStateUpdateNotify = 119;
    public static final int OrderDisplayNotify = 4103;
    public static final int OrderFinishNotify = 4143;
    public static final int OtherPlayerEnterHomeNotify = 4609;
    public static final int PathfindingEnterSceneReq = 2332;
    public static final int PathfindingEnterSceneRsp = 2317;
    public static final int PathfindingPingNotify = 2337;
    public static final int PersonalLineAllDataReq = 446;
    public static final int PersonalLineAllDataRsp = 433;
    public static final int PersonalLineNewUnlockNotify = 470;
    public static final int PersonalSceneJumpReq = 266;
    public static final int PersonalSceneJumpRsp = 248;
    public static final int PingReq = 32;
    public static final int PingRsp = 17;
    public static final int PlantFlowerAcceptAllGiveFlowerReq = 8017;
    public static final int PlantFlowerAcceptAllGiveFlowerRsp = 8831;
    public static final int PlantFlowerAcceptGiveFlowerReq = 8137;
    public static final int PlantFlowerAcceptGiveFlowerRsp = 8431;
    public static final int PlantFlowerEditFlowerCombinationReq = 8506;
    public static final int PlantFlowerEditFlowerCombinationRsp = 8335;
    public static final int PlantFlowerGetCanGiveFriendFlowerReq = 8648;
    public static final int PlantFlowerGetCanGiveFriendFlowerRsp = 8507;
    public static final int PlantFlowerGetFriendFlowerWishListReq = 8840;
    public static final int PlantFlowerGetFriendFlowerWishListRsp = 8553;
    public static final int PlantFlowerGetRecvFlowerListReq = 8914;
    public static final int PlantFlowerGetRecvFlowerListRsp = 8929;
    public static final int PlantFlowerGetSeedInfoReq = 8913;
    public static final int PlantFlowerGetSeedInfoRsp = 8932;
    public static final int PlantFlowerGiveFriendFlowerReq = 8836;
    public static final int PlantFlowerGiveFriendFlowerRsp = 8893;
    public static final int PlantFlowerHaveRecvFlowerNotify = 8174;
    public static final int PlantFlowerSetFlowerWishReq = 8650;
    public static final int PlantFlowerSetFlowerWishRsp = 8588;
    public static final int PlantFlowerTakeSeedRewardReq = 8182;
    public static final int PlantFlowerTakeSeedRewardRsp = 8386;
    public static final int PlatformChangeRouteNotify = 205;
    public static final int PlatformStartRouteNotify = 208;
    public static final int PlatformStopRouteNotify = 204;
    public static final int PlayerAllowEnterMpAfterAgreeMatchNotify = 4151;
    public static final int PlayerApplyEnterHomeNotify = 4504;
    public static final int PlayerApplyEnterHomeResultNotify = 4766;
    public static final int PlayerApplyEnterHomeResultReq = 4568;
    public static final int PlayerApplyEnterHomeResultRsp = 4697;
    public static final int PlayerApplyEnterMpAfterMatchAgreedNotify = 4163;
    public static final int PlayerApplyEnterMpNotify = 1818;
    public static final int PlayerApplyEnterMpReq = 1809;
    public static final int PlayerApplyEnterMpResultNotify = 1804;
    public static final int PlayerApplyEnterMpResultReq = 1828;
    public static final int PlayerApplyEnterMpResultRsp = 1803;
    public static final int PlayerApplyEnterMpRsp = 1843;
    public static final int PlayerCancelMatchReq = 4154;
    public static final int PlayerCancelMatchRsp = 4178;
    public static final int PlayerChatCDNotify = 3464;
    public static final int PlayerChatNotify = 3295;
    public static final int PlayerChatReq = 3378;
    public static final int PlayerChatRsp = 3321;
    public static final int PlayerCompoundMaterialReq = 122;
    public static final int PlayerCompoundMaterialRsp = 154;
    public static final int PlayerConfirmMatchReq = 4197;
    public static final int PlayerConfirmMatchRsp = 4166;
    public static final int PlayerCookArgsReq = 104;
    public static final int PlayerCookArgsRsp = 105;
    public static final int PlayerCookReq = 158;
    public static final int PlayerCookRsp = 150;
    public static final int PlayerDataNotify = 135;
    public static final int PlayerEnterDungeonReq = 941;
    public static final int PlayerEnterDungeonRsp = 937;
    public static final int PlayerEnterSceneInfoNotify = 274;
    public static final int PlayerEnterSceneNotify = 209;
    public static final int PlayerEyePointStateNotify = 3376;
    public static final int PlayerFishingDataNotify = 5815;
    public static final int PlayerForceExitReq = 173;
    public static final int PlayerForceExitRsp = 161;
    public static final int PlayerGameTimeNotify = 155;
    public static final int PlayerGeneralMatchConfirmNotify = 4182;
    public static final int PlayerGeneralMatchDismissNotify = 4187;
    public static final int PlayerGetForceQuitBanInfoReq = 4164;
    public static final int PlayerGetForceQuitBanInfoRsp = 4162;
    public static final int PlayerHomeCompInfoNotify = 4563;
    public static final int PlayerInjectFixNotify = 188;
    public static final int PlayerInvestigationAllInfoNotify = 1905;
    public static final int PlayerInvestigationNotify = 1927;
    public static final int PlayerInvestigationTargetNotify = 1906;
    public static final int PlayerLevelRewardUpdateNotify = 143;
    public static final int PlayerLoginReq = 141;
    public static final int PlayerLoginRsp = 137;
    public static final int PlayerLogoutNotify = 185;
    public static final int PlayerLogoutReq = 132;
    public static final int PlayerLogoutRsp = 117;
    public static final int PlayerLuaShellNotify = 110;
    public static final int PlayerMatchAgreedResultNotify = 4152;
    public static final int PlayerMatchInfoNotify = 4193;
    public static final int PlayerMatchStopNotify = 4153;
    public static final int PlayerMatchSuccNotify = 4176;
    public static final int PlayerOfferingDataNotify = 2901;
    public static final int PlayerOfferingReq = 2906;
    public static final int PlayerOfferingRsp = 2911;
    public static final int PlayerPreEnterMpNotify = 1847;
    public static final int PlayerPropChangeNotify = 186;
    public static final int PlayerPropChangeReasonNotify = 1282;
    public static final int PlayerPropNotify = 127;
    public static final int PlayerQuitDungeonReq = 932;
    public static final int PlayerQuitDungeonRsp = 917;
    public static final int PlayerQuitFromHomeNotify = 4776;
    public static final int PlayerQuitFromMpNotify = 1826;
    public static final int PlayerRandomCookReq = 120;
    public static final int PlayerRandomCookRsp = 113;
    public static final int PlayerRechargeDataNotify = 4128;
    public static final int PlayerReportReq = 4059;
    public static final int PlayerReportRsp = 4084;
    public static final int PlayerRoutineDataNotify = 3518;
    public static final int PlayerSetLanguageReq = 170;
    public static final int PlayerSetLanguageRsp = 129;
    public static final int PlayerSetOnlyMPWithPSPlayerReq = 1802;
    public static final int PlayerSetOnlyMPWithPSPlayerRsp = 1813;
    public static final int PlayerSetPauseReq = 159;
    public static final int PlayerSetPauseRsp = 184;
    public static final int PlayerStartMatchReq = 4168;
    public static final int PlayerStartMatchRsp = 4159;
    public static final int PlayerStoreNotify = 609;
    public static final int PlayerTimeNotify = 172;
    public static final int PlayerWorldSceneInfoListNotify = 3172;
    public static final int PostEnterSceneReq = 3097;
    public static final int PostEnterSceneRsp = 3344;
    public static final int PrivateChatNotify = 4991;
    public static final int PrivateChatReq = 4959;
    public static final int PrivateChatRsp = 4981;
    public static final int PrivateChatSetSequenceReq = 4987;
    public static final int PrivateChatSetSequenceRsp = 4982;
    public static final int ProfilePictureChangeNotify = 4087;
    public static final int ProjectorOptionReq = 813;
    public static final int ProjectorOptionRsp = 842;
    public static final int ProudSkillChangeNotify = 1055;
    public static final int ProudSkillExtraLevelNotify = 1097;
    public static final int ProudSkillUpgradeReq = 1049;
    public static final int ProudSkillUpgradeRsp = 1082;
    public static final int PSNBlackListNotify = 4078;
    public static final int PSNFriendListNotify = 4089;
    public static final int PSPlayerApplyEnterMpReq = 1837;
    public static final int PSPlayerApplyEnterMpRsp = 1832;
    public static final int PullPrivateChatReq = 4967;
    public static final int PullPrivateChatRsp = 5035;
    public static final int PullRecentChatReq = 4985;
    public static final int PullRecentChatRsp = 4999;
    public static final int PushTipsAllDataNotify = 2224;
    public static final int PushTipsChangeNotify = 2238;
    public static final int PushTipsReadFinishReq = 2206;
    public static final int PushTipsReadFinishRsp = 2219;
    public static final int QueryCodexMonsterBeKilledNumReq = 4207;
    public static final int QueryCodexMonsterBeKilledNumRsp = 4205;
    public static final int QueryPathReq = 2309;
    public static final int QueryPathRsp = 2331;
    public static final int QuestCreateEntityReq = 482;
    public static final int QuestCreateEntityRsp = 455;
    public static final int QuestDelNotify = 441;
    public static final int QuestDestroyEntityReq = 427;
    public static final int QuestDestroyEntityRsp = 407;
    public static final int QuestDestroyNpcReq = 424;
    public static final int QuestDestroyNpcRsp = 438;
    public static final int QuestGlobalVarNotify = 411;
    public static final int QuestListNotify = 409;
    public static final int QuestListUpdateNotify = 431;
    public static final int QuestProgressUpdateNotify = 445;
    public static final int QuestTransmitReq = 422;
    public static final int QuestTransmitRsp = 454;
    public static final int QuestUpdateQuestTimeVarNotify = 484;
    public static final int QuestUpdateQuestVarNotify = 463;
    public static final int QuestUpdateQuestVarReq = 490;
    public static final int QuestUpdateQuestVarRsp = 486;
    public static final int QuickUseWidgetReq = 4251;
    public static final int QuickUseWidgetRsp = 4252;
    public static final int ReadMailNotify = 1441;
    public static final int ReadPrivateChatReq = 5032;
    public static final int ReadPrivateChatRsp = 5005;
    public static final int ReceivedTrialAvatarActivityRewardReq = 2054;
    public static final int ReceivedTrialAvatarActivityRewardRsp = 2199;
    public static final int RechargeReq = 4118;
    public static final int RechargeRsp = 4109;
    public static final int RedeemLegendaryKeyReq = 436;
    public static final int RedeemLegendaryKeyRsp = 428;
    public static final int RefreshBackgroundAvatarReq = 1660;
    public static final int RefreshBackgroundAvatarRsp = 1751;
    public static final int RefreshRoguelikeDungeonCardReq = 8072;
    public static final int RefreshRoguelikeDungeonCardRsp = 8644;
    public static final int RegionSearchChangeRegionNotify = 5609;
    public static final int RegionSearchNotify = 5618;
    public static final int ReliquaryDecomposeReq = 615;
    public static final int ReliquaryDecomposeRsp = 692;
    public static final int ReliquaryPromoteReq = 612;
    public static final int ReliquaryPromoteRsp = 658;
    public static final int ReliquaryUpgradeReq = 606;
    public static final int ReliquaryUpgradeRsp = 619;
    public static final int RemoveBlacklistReq = 4013;
    public static final int RemoveBlacklistRsp = 4042;
    public static final int RemoveRandTaskInfoNotify = 193;
    public static final int ReportFightAntiCheatNotify = 305;
    public static final int ReportTrackingIOInfoNotify = 4126;
    public static final int RequestLiveInfoReq = 858;
    public static final int RequestLiveInfoRsp = 850;
    public static final int ResinCardDataUpdateNotify = 4101;
    public static final int ResinChangeNotify = 670;
    public static final int RestartEffigyChallengeReq = 2023;
    public static final int RestartEffigyChallengeRsp = 2133;
    public static final int ReunionActivateNotify = 5065;
    public static final int ReunionBriefInfoReq = 5068;
    public static final int ReunionBriefInfoRsp = 5059;
    public static final int ReunionDailyRefreshNotify = 5091;
    public static final int ReunionPrivilegeChangeNotify = 5061;
    public static final int ReunionSettleNotify = 5077;
    public static final int RobotPushPlayerDataNotify = 30;
    public static final int RogueCellUpdateNotify = 8022;
    public static final int RogueDungeonPlayerCellChangeNotify = 8832;
    public static final int RogueHealAvatarsReq = 8331;
    public static final int RogueHealAvatarsRsp = 8937;
    public static final int RoguelikeCardGachaNotify = 8618;
    public static final int RoguelikeEffectDataNotify = 8606;
    public static final int RoguelikeEffectViewReq = 8377;
    public static final int RoguelikeEffectViewRsp = 8770;
    public static final int RoguelikeGiveUpReq = 8988;
    public static final int RoguelikeGiveUpRsp = 8009;
    public static final int RoguelikeMistClearNotify = 8198;
    public static final int RoguelikeRefreshCardCostUpdateNotify = 8912;
    public static final int RoguelikeResourceBonusPropUpdateNotify = 8823;
    public static final int RoguelikeRuneRecordUpdateNotify = 8497;
    public static final int RoguelikeSelectAvatarAndEnterDungeonReq = 8975;
    public static final int RoguelikeSelectAvatarAndEnterDungeonRsp = 8471;
    public static final int RoguelikeTakeStageFirstPassRewardReq = 8205;
    public static final int RoguelikeTakeStageFirstPassRewardRsp = 8409;
    public static final int RogueResumeDungeonReq = 8417;
    public static final int RogueResumeDungeonRsp = 8565;
    public static final int RogueSwitchAvatarReq = 8930;
    public static final int RogueSwitchAvatarRsp = 8556;
    public static final int SalesmanDeliverItemReq = 2118;
    public static final int SalesmanDeliverItemRsp = 2038;
    public static final int SalesmanTakeRewardReq = 2007;
    public static final int SalesmanTakeRewardRsp = 2100;
    public static final int SalesmanTakeSpecialRewardReq = 2065;
    public static final int SalesmanTakeSpecialRewardRsp = 2107;
    public static final int SaveCoopDialogReq = 1991;
    public static final int SaveCoopDialogRsp = 1955;
    public static final int SaveMainCoopReq = 1993;
    public static final int SaveMainCoopRsp = 1954;
    public static final int SceneAreaUnlockNotify = 219;
    public static final int SceneAreaWeatherNotify = 229;
    public static final int SceneAudioNotify = 3430;
    public static final int SceneAvatarStaminaStepReq = 282;
    public static final int SceneAvatarStaminaStepRsp = 255;
    public static final int SceneCreateEntityReq = 250;
    public static final int SceneCreateEntityRsp = 220;
    public static final int SceneDataNotify = 3117;
    public static final int SceneDestroyEntityReq = 213;
    public static final int SceneDestroyEntityRsp = 242;
    public static final int SceneEntitiesMoveCombineNotify = 3298;
    public static final int SceneEntitiesMovesReq = 240;
    public static final int SceneEntitiesMovesRsp = 275;
    public static final int SceneEntityAppearNotify = 217;
    public static final int SceneEntityDisappearNotify = 285;
    public static final int SceneEntityDrownReq = 212;
    public static final int SceneEntityDrownRsp = 258;
    public static final int SceneEntityMoveNotify = 227;
    public static final int SceneEntityMoveReq = 235;
    public static final int SceneEntityMoveRsp = 249;
    public static final int SceneEntityUpdateNotify = 3089;
    public static final int SceneForceLockNotify = 211;
    public static final int SceneForceUnlockNotify = 201;
    public static final int SceneGalleryInfoNotify = 5597;
    public static final int SceneInitFinishReq = 237;
    public static final int SceneInitFinishRsp = 232;
    public static final int SceneKickPlayerNotify = 292;
    public static final int SceneKickPlayerReq = 295;
    public static final int SceneKickPlayerRsp = 215;
    public static final int ScenePlayBattleInfoListNotify = 4447;
    public static final int ScenePlayBattleInfoNotify = 4359;
    public static final int ScenePlayBattleInterruptNotify = 4377;
    public static final int ScenePlayBattleResultNotify = 4357;
    public static final int ScenePlayBattleUidOpNotify = 4380;
    public static final int ScenePlayerInfoNotify = 225;
    public static final int ScenePlayerLocationNotify = 207;
    public static final int ScenePlayerSoundNotify = 210;
    public static final int ScenePlayGuestReplyInviteReq = 4435;
    public static final int ScenePlayGuestReplyInviteRsp = 4385;
    public static final int ScenePlayGuestReplyNotify = 4399;
    public static final int ScenePlayInfoListNotify = 4405;
    public static final int ScenePlayInviteResultNotify = 4432;
    public static final int ScenePlayOutofRegionNotify = 4448;
    public static final int ScenePlayOwnerCheckReq = 4381;
    public static final int ScenePlayOwnerCheckRsp = 4391;
    public static final int ScenePlayOwnerInviteNotify = 4367;
    public static final int ScenePlayOwnerStartInviteReq = 4387;
    public static final int ScenePlayOwnerStartInviteRsp = 4382;
    public static final int ScenePointUnlockNotify = 290;
    public static final int SceneRouteChangeNotify = 278;
    public static final int SceneTeamUpdateNotify = 1699;
    public static final int SceneTimeNotify = 262;
    public static final int SceneTransToPointReq = 286;
    public static final int SceneTransToPointRsp = 263;
    public static final int SceneWeatherForcastReq = 3190;
    public static final int SceneWeatherForcastRsp = 3063;
    public static final int SeaLampCoinNotify = 2096;
    public static final int SeaLampContributeItemReq = 2168;
    public static final int SeaLampContributeItemRsp = 2159;
    public static final int SeaLampFlyLampNotify = 2051;
    public static final int SeaLampFlyLampReq = 2071;
    public static final int SeaLampFlyLampRsp = 2019;
    public static final int SeaLampPopularityNotify = 2112;
    public static final int SeaLampTakeContributionRewardReq = 2069;
    public static final int SeaLampTakeContributionRewardRsp = 2103;
    public static final int SeaLampTakePhaseRewardReq = 2092;
    public static final int SeaLampTakePhaseRewardRsp = 2160;
    public static final int SealBattleBeginNotify = 273;
    public static final int SealBattleEndNotify = 261;
    public static final int SealBattleProgressNotify = 288;
    public static final int SeeMonsterReq = 281;
    public static final int SeeMonsterRsp = 264;
    public static final int SelectAsterMidDifficultyReq = 2190;
    public static final int SelectAsterMidDifficultyRsp = 2010;
    public static final int SelectEffigyChallengeConditionReq = 2111;
    public static final int SelectEffigyChallengeConditionRsp = 2068;
    public static final int SelectRoguelikeDungeonCardReq = 8070;
    public static final int SelectRoguelikeDungeonCardRsp = 8040;
    public static final int SelectWorktopOptionReq = 832;
    public static final int SelectWorktopOptionRsp = 817;
    public static final int ServerAnnounceNotify = 2029;
    public static final int ServerAnnounceRevokeNotify = 2141;
    public static final int ServerBuffChangeNotify = 393;
    public static final int ServerCondMeetQuestListUpdateNotify = 401;
    public static final int ServerDisconnectClientNotify = 166;
    public static final int ServerGlobalValueChangeNotify = 1130;
    public static final int ServerLogNotify = 55;
    public static final int ServerMessageNotify = 5709;
    public static final int ServerTimeNotify = 82;
    public static final int ServerUpdateGlobalValueNotify = 1107;
    public static final int SetBattlePassViewedReq = 2637;
    public static final int SetBattlePassViewedRsp = 2632;
    public static final int SetChatEmojiCollectionReq = 4066;
    public static final int SetChatEmojiCollectionRsp = 4048;
    public static final int SetCoopChapterViewedReq = 1956;
    public static final int SetCoopChapterViewedRsp = 1998;
    public static final int SetCurExpeditionChallengeIdReq = 2130;
    public static final int SetCurExpeditionChallengeIdRsp = 2093;
    public static final int SetEntityClientDataNotify = 3375;
    public static final int SetEquipLockStateReq = 604;
    public static final int SetEquipLockStateRsp = 605;
    public static final int SetFriendEnterHomeOptionReq = 4761;
    public static final int SetFriendEnterHomeOptionRsp = 4590;
    public static final int SetFriendRemarkNameReq = 4070;
    public static final int SetFriendRemarkNameRsp = 4029;
    public static final int SetH5ActivityRedDotTimestampReq = 5654;
    public static final int SetH5ActivityRedDotTimestampRsp = 5678;
    public static final int SetIsAutoUnlockSpecificEquipReq = 639;
    public static final int SetIsAutoUnlockSpecificEquipRsp = 695;
    public static final int SetLimitOptimizationNotify = 8194;
    public static final int SetNameCardReq = 4006;
    public static final int SetNameCardRsp = 4019;
    public static final int SetOpenStateReq = 138;
    public static final int SetOpenStateRsp = 106;
    public static final int SetPlayerBirthdayReq = 4007;
    public static final int SetPlayerBirthdayRsp = 4030;
    public static final int SetPlayerBornDataReq = 198;
    public static final int SetPlayerBornDataRsp = 145;
    public static final int SetPlayerHeadImageReq = 4045;
    public static final int SetPlayerHeadImageRsp = 4090;
    public static final int SetPlayerNameReq = 163;
    public static final int SetPlayerNameRsp = 124;
    public static final int SetPlayerPropReq = 130;
    public static final int SetPlayerPropRsp = 197;
    public static final int SetPlayerSignatureReq = 4097;
    public static final int SetPlayerSignatureRsp = 4098;
    public static final int SetSceneWeatherAreaReq = 256;
    public static final int SetSceneWeatherAreaRsp = 265;
    public static final int SetUpAvatarTeamReq = 1753;
    public static final int SetUpAvatarTeamRsp = 1664;
    public static final int SetUpLunchBoxWidgetReq = 4297;
    public static final int SetUpLunchBoxWidgetRsp = 4266;
    public static final int SetWidgetSlotReq = 4269;
    public static final int SetWidgetSlotRsp = 4260;
    public static final int ShowClientGuideNotify = 3241;
    public static final int ShowClientTutorialNotify = 3079;
    public static final int ShowCommonTipsNotify = 3357;
    public static final int ShowMessageNotify = 37;
    public static final int ShowTemplateReminderNotify = 3011;
    public static final int SignInInfoReq = 2541;
    public static final int SignInInfoRsp = 2537;
    public static final int SocialDataNotify = 4054;
    public static final int SpringUseReq = 1623;
    public static final int SpringUseRsp = 1733;
    public static final int StartArenaChallengeLevelReq = 2154;
    public static final int StartArenaChallengeLevelRsp = 2191;
    public static final int StartBuoyantCombatGalleryReq = 9000;
    public static final int StartBuoyantCombatGalleryRsp = 8364;
    public static final int StartCoopPointReq = 1982;
    public static final int StartCoopPointRsp = 1964;
    public static final int StartEffigyChallengeReq = 2157;
    public static final int StartEffigyChallengeRsp = 2008;
    public static final int StartFishingReq = 5843;
    public static final int StartFishingRsp = 5804;
    public static final int StartRogueEliteCellChallengeReq = 8722;
    public static final int StartRogueEliteCellChallengeRsp = 8876;
    public static final int StartRogueNormalCellChallengeReq = 8456;
    public static final int StartRogueNormalCellChallengeRsp = 8156;
    public static final int StoreItemChangeNotify = 641;
    public static final int StoreItemDelNotify = 637;
    public static final int StoreWeightLimitNotify = 631;
    public static final int SummerTimeFloatSignalPositionNotify = 8622;
    public static final int SummerTimeFloatSignalUpdateNotify = 8333;
    public static final int SummerTimeSprintBoatRestartReq = 8175;
    public static final int SummerTimeSprintBoatRestartRsp = 8563;
    public static final int SummerTimeSprintBoatSettleNotify = 8117;
    public static final int SumoDungeonSettleNotify = 8426;
    public static final int SumoEnterDungeonNotify = 8727;
    public static final int SumoLeaveDungeonNotify = 8440;
    public static final int SumoRestartDungeonReq = 8585;
    public static final int SumoRestartDungeonRsp = 8628;
    public static final int SumoSaveTeamReq = 8970;
    public static final int SumoSaveTeamRsp = 8890;
    public static final int SumoSelectTeamAndEnterDungeonReq = 8030;
    public static final int SumoSelectTeamAndEnterDungeonRsp = 8915;
    public static final int SumoSetNoSwitchPunishTimeNotify = 8269;
    public static final int SumoSwitchTeamReq = 8400;
    public static final int SumoSwitchTeamRsp = 8442;
    public static final int SyncScenePlayTeamEntityNotify = 3096;
    public static final int SyncTeamEntityNotify = 334;
    public static final int TakeAchievementGoalRewardReq = 2678;
    public static final int TakeAchievementGoalRewardRsp = 2653;
    public static final int TakeAchievementRewardReq = 2693;
    public static final int TakeAchievementRewardRsp = 2654;
    public static final int TakeAsterSpecialRewardReq = 2174;
    public static final int TakeAsterSpecialRewardRsp = 2035;
    public static final int TakeBattlePassMissionPointReq = 2626;
    public static final int TakeBattlePassMissionPointRsp = 2647;
    public static final int TakeBattlePassRewardReq = 2628;
    public static final int TakeBattlePassRewardRsp = 2603;
    public static final int TakeCityReputationExploreRewardReq = 2830;
    public static final int TakeCityReputationExploreRewardRsp = 2897;
    public static final int TakeCityReputationLevelRewardReq = 2841;
    public static final int TakeCityReputationLevelRewardRsp = 2837;
    public static final int TakeCityReputationParentQuestReq = 2817;
    public static final int TakeCityReputationParentQuestRsp = 2885;
    public static final int TakeCompoundOutputReq = 146;
    public static final int TakeCompoundOutputRsp = 133;
    public static final int TakeCoopRewardReq = 1977;
    public static final int TakeCoopRewardRsp = 1965;
    public static final int TakeDeliveryDailyRewardReq = 2037;
    public static final int TakeDeliveryDailyRewardRsp = 2083;
    public static final int TakeEffigyFirstPassRewardReq = 2200;
    public static final int TakeEffigyFirstPassRewardRsp = 2073;
    public static final int TakeEffigyRewardReq = 2062;
    public static final int TakeEffigyRewardRsp = 2110;
    public static final int TakeFirstShareRewardReq = 4046;
    public static final int TakeFirstShareRewardRsp = 4033;
    public static final int TakeFurnitureMakeReq = 4768;
    public static final int TakeFurnitureMakeRsp = 4599;
    public static final int TakeHuntingOfferReq = 4318;
    public static final int TakeHuntingOfferRsp = 4309;
    public static final int TakeInvestigationRewardReq = 1925;
    public static final int TakeInvestigationRewardRsp = 1903;
    public static final int TakeInvestigationTargetRewardReq = 1901;
    public static final int TakeInvestigationTargetRewardRsp = 1908;
    public static final int TakeMaterialDeleteReturnReq = 660;
    public static final int TakeMaterialDeleteReturnRsp = 677;
    public static final int TakeoffEquipReq = 698;
    public static final int TakeoffEquipRsp = 645;
    public static final int TakeOfferingLevelRewardReq = 2903;
    public static final int TakeOfferingLevelRewardRsp = 2902;
    public static final int TakePlayerLevelRewardReq = 160;
    public static final int TakePlayerLevelRewardRsp = 177;
    public static final int TakeRegionSearchRewardReq = 5643;
    public static final int TakeRegionSearchRewardRsp = 5604;
    public static final int TakeResinCardDailyRewardReq = 4147;
    public static final int TakeResinCardDailyRewardRsp = 4116;
    public static final int TakeReunionFirstGiftRewardReq = 5093;
    public static final int TakeReunionFirstGiftRewardRsp = 5054;
    public static final int TakeReunionMissionRewardReq = 5082;
    public static final int TakeReunionMissionRewardRsp = 5064;
    public static final int TakeReunionSignInRewardReq = 5076;
    public static final int TakeReunionSignInRewardRsp = 5097;
    public static final int TakeReunionWatcherRewardReq = 5052;
    public static final int TakeReunionWatcherRewardRsp = 5063;
    public static final int TaskVarNotify = 191;
    public static final int TeamResonanceChangeNotify = 1045;
    public static final int TowerAllDataReq = 2435;
    public static final int TowerAllDataRsp = 2449;
    public static final int TowerBriefDataNotify = 2409;
    public static final int TowerBuffSelectReq = 2407;
    public static final int TowerBuffSelectRsp = 2430;
    public static final int TowerCurLevelRecordChangeNotify = 2441;
    public static final int TowerDailyRewardProgressChangeNotify = 2437;
    public static final int TowerEnterLevelReq = 2455;
    public static final int TowerEnterLevelRsp = 2427;
    public static final int TowerFloorRecordChangeNotify = 2431;
    public static final int TowerGetFloorStarRewardReq = 2406;
    public static final int TowerGetFloorStarRewardRsp = 2419;
    public static final int TowerLevelEndNotify = 2442;
    public static final int TowerLevelStarCondNotify = 2401;
    public static final int TowerMiddleLevelChangeTeamNotify = 2411;
    public static final int TowerRecordHandbookReq = 2422;
    public static final int TowerRecordHandbookRsp = 2454;
    public static final int TowerSurrenderReq = 2424;
    public static final int TowerSurrenderRsp = 2438;
    public static final int TowerTeamSelectReq = 2417;
    public static final int TowerTeamSelectRsp = 2485;
    public static final int TreasureMapBonusChallengeNotify = 2075;
    public static final int TreasureMapCurrencyNotify = 2098;
    public static final int TreasureMapDetectorDataNotify = 4291;
    public static final int TreasureMapGuideTaskDoneNotify = 2088;
    public static final int TreasureMapHostInfoNotify = 8206;
    public static final int TreasureMapMpChallengeNotify = 2036;
    public static final int TreasureMapPreTaskDoneNotify = 2055;
    public static final int TreasureMapRegionActiveNotify = 2059;
    public static final int TreasureMapRegionInfoNotify = 2106;
    public static final int TrialAvatarFirstPassDungeonNotify = 2137;
    public static final int TrialAvatarInDungeonIndexNotify = 2024;
    public static final int TriggerCreateGadgetToEquipPartNotify = 322;
    public static final int TriggerRoguelikeCurseNotify = 8235;
    public static final int TriggerRoguelikeRuneReq = 8138;
    public static final int TriggerRoguelikeRuneRsp = 8781;
    public static final int TryEnterHomeReq = 4553;
    public static final int TryEnterHomeRsp = 4610;
    public static final int UnfreezeGroupLimitNotify = 3253;
    public static final int UnionCmdNotify = 98;
    public static final int UnlockAvatarTalentReq = 1009;
    public static final int UnlockAvatarTalentRsp = 1031;
    public static final int UnlockCoopChapterReq = 1952;
    public static final int UnlockCoopChapterRsp = 1963;
    public static final int UnlockedFurnitureFormulaDataNotify = 4680;
    public static final int UnlockedFurnitureSuiteDataNotify = 4717;
    public static final int UnlockNameCardNotify = 4001;
    public static final int UnlockPersonalLineReq = 476;
    public static final int UnlockPersonalLineRsp = 472;
    public static final int UnlockTransPointReq = 3228;
    public static final int UnlockTransPointRsp = 3101;
    public static final int UnmarkEntityInMinMapNotify = 216;
    public static final int UpdateAbilityCreatedMovingPlatformNotify = 897;
    public static final int UpdatePlayerShowAvatarListReq = 4025;
    public static final int UpdatePlayerShowAvatarListRsp = 4083;
    public static final int UpdatePlayerShowNameCardListReq = 4002;
    public static final int UpdatePlayerShowNameCardListRsp = 4016;
    public static final int UpdatePS4BlockListReq = 4036;
    public static final int UpdatePS4BlockListRsp = 4028;
    public static final int UpdatePS4FriendListNotify = 4086;
    public static final int UpdatePS4FriendListReq = 4073;
    public static final int UpdatePS4FriendListRsp = 4061;
    public static final int UpdateRedPointNotify = 19;
    public static final int UpdateReunionWatcherNotify = 5087;
    public static final int UpgradeRoguelikeShikigamiReq = 8422;
    public static final int UpgradeRoguelikeShikigamiRsp = 8671;
    public static final int UseItemReq = 635;
    public static final int UseItemRsp = 649;
    public static final int UseMiracleRingReq = 5218;
    public static final int UseMiracleRingRsp = 5209;
    public static final int UseWidgetCreateGadgetReq = 4283;
    public static final int UseWidgetCreateGadgetRsp = 4279;
    public static final int UseWidgetRetractGadgetReq = 4290;
    public static final int UseWidgetRetractGadgetRsp = 4271;
    public static final int VehicleInteractReq = 838;
    public static final int VehicleInteractRsp = 806;
    public static final int VehicleStaminaNotify = 811;
    public static final int ViewCodexReq = 4203;
    public static final int ViewCodexRsp = 4202;
    public static final int WatcherAllDataNotify = 2209;
    public static final int WatcherChangeNotify = 2231;
    public static final int WatcherEventNotify = 2241;
    public static final int WatcherEventTypeNotify = 2237;
    public static final int WaterSpritePhaseFinishNotify = 2028;
    public static final int WeaponAwakenReq = 642;
    public static final int WeaponAwakenRsp = 601;
    public static final int WeaponPromoteReq = 624;
    public static final int WeaponPromoteRsp = 638;
    public static final int WeaponUpgradeReq = 686;
    public static final int WeaponUpgradeRsp = 663;
    public static final int WearEquipReq = 630;
    public static final int WearEquipRsp = 697;
    public static final int WidgetActiveChangeNotify = 4295;
    public static final int WidgetCoolDownNotify = 4263;
    public static final int WidgetDoBagReq = 4284;
    public static final int WidgetDoBagRsp = 4286;
    public static final int WidgetGadgetAllDataNotify = 4285;
    public static final int WidgetGadgetDataNotify = 4292;
    public static final int WidgetGadgetDestroyNotify = 4275;
    public static final int WidgetReportReq = 4287;
    public static final int WidgetReportRsp = 4282;
    public static final int WidgetSlotChangeNotify = 4274;
    public static final int WidgetUseAttachAbilityGroupChangeNotify = 4299;
    public static final int WindSeedClientNotify = 1182;
    public static final int WorktopOptionNotify = 837;
    public static final int WorldAllRoutineTypeNotify = 3509;
    public static final int WorldDataNotify = 3131;
    public static final int WorldOwnerBlossomBriefInfoNotify = 2737;
    public static final int WorldOwnerBlossomScheduleInfoNotify = 2732;
    public static final int WorldOwnerDailyTaskNotify = 102;
    public static final int WorldPlayerDieNotify = 296;
    public static final int WorldPlayerInfoNotify = 3304;
    public static final int WorldPlayerLocationNotify = 283;
    public static final int WorldPlayerReviveReq = 247;
    public static final int WorldPlayerReviveRsp = 280;
    public static final int WorldPlayerRTTNotify = 24;
    public static final int WorldRoutineChangeNotify = 3504;
    public static final int WorldRoutineTypeCloseNotify = 3528;
    public static final int WorldRoutineTypeRefreshNotify = 3543;

    // Unknown

    public static final HashSet<Integer> BANNED_PACKETS = new HashSet<Integer>() {{
        add(PacketOpcodes.WindSeedClientNotify);
        add(PacketOpcodes.PlayerLuaShellNotify);
    }};
}
